## mce-dummy 1.2.0

=== Makefile ===
# Copyright (C) 2006 Nokia Corporation

INSTALL_DIR := install -d
INSTALL_DATA := install -o root -g root --mode=644

PCDIR := $(DESTDIR)/usr/lib/pkgconfig
INCLUDEDIR := $(DESTDIR)/usr/include/mce

TOPDIR := $(shell /bin/pwd)
INCDIR := $(TOPDIR)/include/mce

PCFILE  := mce.pc
INCLUDE_FILES := $(INCDIR)/dbus-names.h $(INCDIR)/mode-names.h

.PHONY: install
install:
	$(INSTALL_DIR) $(PCDIR) $(INCLUDEDIR)				&&\
	$(INSTALL_DATA) $(PCFILE) $(PCDIR)				&&\
	$(INSTALL_DATA) $(INCLUDE_FILES) $(INCLUDEDIR)

=== debian/changelog ===
mce-dummy (1.2.0) unstable; urgency=low

  * Initial release.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Thu, 05 Jan 2006 17:16:34 +0200

=== debian/control ===
Source: mce-dummy
Section: devel
Priority: optional
Maintainer: Luc Pionchon <luc.pionchon@nokia.com>
Build-Depends: debhelper (>= 4.1.0)
Standards-Version: 3.6.2.1

Package: mce-dummy
Section: devel
Architecture: all
Provides: mce-dev
Conflicts: mce-dev
Depends: ${shlibs:Depends}
Description: development files for mce
 This package contains headers defining the DBus method calls
 provided by the Mode Control Entity, and the signals emitted by it.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

package = mce-dummy
pkgdir = $(CURDIR)/debian/tmp

pcfileversion=`grep -m1 '^Version' mce.pc | sed -e 's/Version: *//'`
changelogversion=`grep -m1 'mce-dummy (' debian/changelog | sed -e 's/mce-dummy (//;s/[)-].*//'`

.PHONY: clean
clean:
	dh_testdir
	dh_testroot

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean

	dh_clean 

.PHONY: check
check:
	@if [ x"$(pcfileversion)" != x"$(changelogversion)" ]; then \
		printf "error: version-number mismatch\n"; \
		printf ".pc-file version: $(pcfileversion)\n"; \
		printf "changelog version: $(changelogversion)\n"; \
		exit 1; \
	fi

.PHONY: build
build: check

.PHONY: install
install:
	$(MAKE) install DESTDIR="$(pkgdir)"

.PHONY: binary-indep
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_installchangelogs
	dh_install -i
	dh_link
	dh_compress 
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

.PHONY: binary-arch
binary-arch: build install
# nothing to see here, move along

.PHONY: binary
binary: binary-indep binary-arch
